hakyll-4.7.5.1: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Main

Description

Module providing the main hakyll function and command-line argument parsing

Synopsis

- hakyll :: Rules a -> IO ()
- hakyllWith :: Configuration -> Rules a -> IO ()
- hakyllWithExitCode :: Configuration -> Rules a -> IO ExitCode

# Documentation

hakyll :: Rules a -> IO () Source

This usualy is the function with which the user runs the hakyll compiler

hakyllWith :: Configuration -> Rules a -> IO () Source

A variant of `hakyll` which allows the user to specify a custom configuration

hakyllWithExitCode :: Configuration -> Rules a -> IO ExitCode Source